Bug 1393893 - [RFE][manila] Add the Ability to Disable the Creation of Manila Public Shares
Summary: [RFE][manila] Add the Ability to Disable the Creation of Manila Public Shares
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila-ui
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Tom Barron
QA Contact: Dustin Schoenbrun
URL:
Whiteboard:
Depends On: 1326279 1433492
Blocks: 1423349
TreeView+ depends on / blocked
 
Reported: 2016-11-10 14:48 UTC by Dustin Schoenbrun
Modified: 2017-05-17 19:45 UTC (History)
20 users (show)

Fixed In Version: openstack-manila-ui-2.7.1-0.20170127105750.b67e7e6.el7ost
Doc Type: Enhancement
Doc Text:
With this enhancement, you can now enable the creation of non-public shares in the Dashboard. You can configure Dashboard to hide the checkbox that enables users to mark shares as public during the creation process. The default option will be to create shares as private without the box checked.
Clone Of: 1326279
: 1423349 (view as bug list)
Environment:
Last Closed: 2017-05-17 19:45:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 411891 None None None 2016-12-16 16:32:39 UTC
OpenStack gerrit 416535 None None None 2017-01-26 21:06:35 UTC
Launchpad 1650610 None None None 2016-12-16 16:33:21 UTC

Comment 7 Thierry Vignaud 2017-02-14 17:04:21 UTC
Change is present in openstack-manila-ui-2.7.1-0.20170127105750.b67e7e6.el7ost

Comment 9 Dustin Schoenbrun 2017-03-27 19:09:22 UTC
Using the 2017-03-08.3 puddle, openstack-manila-ui-2.7.1-0.20170214092823.2e2ae51.el7ost.noarch, and the workaround where we tell Horizon to use the v2 Keystone API endpoint instead of the v3 API endpoint, I was able to successfully disable the ability to create publicly available shares and was then able to re-enable the ability again.

Comment 10 errata-xmlrpc 2017-05-17 19:45:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.